<?
	$sitename = "The QuakeForge Project";
	$pagename = "State of the Code";
	require("parts/library.php");				// Load function library
	include("parts/head.php"); 				// Load the HEAD and open BODY
	include("parts/topstrip.php");			// Display top strip
	include("parts/titletable.php"); 		// Display main title w/ logos
?>
<TABLE width="100%" cellspacing=0 cellpadding=0 border=0>
	<TR valign="top">
		<?
			include("parts/menu.php"); 			// Import left-side menus
			tableSpacer( 1, 9, 1, "black");		// Separate content from menus
		?>
		<TD width="100%">
			<?
				$focused = "none";					// name of focused icon
				include( "parts/topmain.php" );	// Display content top table
			?>
			<P>The State of the Code address is a not-frequently-enough updated
			article written by <a href="mailto:knghtbrd@debian.org">Knghtbrd</a>
			primarily for QuakeForge developers and other people who consider
			themselves to be knee deep in the code, whether they happen to be
			writing it or just testing it.  What you won't find here is a lot of
			the fluff news that tells the casual onlooker that the project is
			actually doing stuff without really telling you what the state of
			things are.

			<P>No attempt will be made to soften technical issues so anyone can
			understand them.  If you want to really know what's going on, you
			probably don't want details left out because they might not make a
			whole lot of sense to a non-coder.  Feedback is always welcome.  So
			are corrections if they're necessary - contrary to popular (with him)
			belief, Knghtbrd has in fact been known to be wrong sometimes.  He
			isn't afraid to admit it either (most of the time..)
			<?
			if (!$sotc) {
				include( "state.html" );			// Include Knightbird's SotC
			}
			else {
				$filename = "sotc/sotc" . $sotc . ".html";
				if (file_exists($filename)) {
					include ( $filename );
				}
			}
			?>
			<p>
		<?
		tableBoxHeader ('black', $tableHeadColor );
		tableTitle ('Archived SotC Updates',3,$tableHeadColor);
		echo '<TR><TD colSpan="3">';
		tableHeader(3, 'black');
		$index = 1; $filename = "sotc/sotc1.html";
		while(file_exists($filename)) {
			$fp = fopen($filename, "r");
			$str = fgets($fp, 4096);
			fclose($fp);
			$str = ereg_replace("<!--","",$str);
			$str = ereg_replace("-->","",$str);
			echo '<P><A href="sotc.php?sotc=' . $index . '">SotC #' . $index . '</A> - ' . $str;
			$index++;
			$filename = "sotc/sotc" . $index . ".html";
		}
		tableFooter();
		tableBoxFooter();
		?>
		&nbsp;<br>	
		</TD>
		<?
			tableSpacer( 1, 9, 1, "black");
		?>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<?
				include("parts/copyright.php");
			?>
		</TD>
	</TR>
</TABLE>
